<% local view, viewlibrary, page_info, session = ... %>
<% require("viewfunctions") %>

<% displaycommandresults({"settings", "edithost", "delhost", "createhost", "editsubnet", "delsubnet", "createsubnet", "startstop"}, session) %>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>

<H1>Global Settings</H1>

<DL>
<dt>Edit global settings</dt>
<dd><form action="<%= html.html_escape(page_info.script .. page_info.prefix .. page_info.controller .. "/settings") %>" method="POST">
<input class="hidden" type="hidden"  name="redir"  value="<%= html.html_escape(page_info.orig_action) %>" >
<input type=submit value="Edit" class="submit">
</form></dd>
</DL>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("listsubnets")
end %>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("listhosts")
end %>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("startstop")
end %>
